// Your name goes here

// Bounce the ball off the left and right walls of the output window if toggle switch is 'on'

// The x- and y- coordinates of the 'ball'
int x = 1;
int y = 200;

// The direction and speed added to x-coordinate
int speed = 1;

// Boolean variable that turns on and off the moving of the ball
boolean toggleSwitch = false;

// Set output window size, fill color, stroke off and drawing to smooth
void setup()
{
  size(400, 400);
  fill(255, 100, 30);
  noStroke();
  smooth();
}

void draw()
{
  // Erases the screen to white
  background(255);

  // Draw the ball
  ellipse(x, y, 50, 50);

  // If toggle switch is on, move ball one pixel to right or left
  if (toggleSwitch)
  {
    x = x + speed;
  }

  // If at left or right edge of window change directions  
  if (x < 1 || x > width)
  {
    speed = -speed;
  }
}

// Start or stop the ball moving
void mousePressed()
{
  toggleSwitch = ! toggleSwitch;
}
