// Your name goes here

// The x- and y-coordinates for 'Stick Man'
int x = 0;
int y = 200;

// The direction and speed of the Stick man object
int speed = 1;

// Set output window size and drawing to smooth
void setup()
{
  size(400, 400);
  smooth();
}

void draw()
{
  // Erase the screen to white
  background(255);

  // Draw the "Stick Man"
  // Draw the head
  fill(255, 204, 151);
  ellipse(x, y - 40, 40, 40);

  // Draw the body
  line(x, y - 20, x, y + 30);

  // Draw the left arm
  line(x, y, x - 25, y + 5);
  line(x - 25, y + 5, x - 40, y + 30);
  
  // Draw the right arm
  line(x, y, x + 18, y + 8);
  line(x + 18, y + 8, x + 42, y - 25);
  
  // Draw the left leg
  line(x, y + 30, x - 5, y + 60);
  line(x - 5, y + 60, x - 35, y + 50);
  
  // Draw the right leg
  line(x, y + 30, x + 35, y + 43);
  line(x + 35, y + 43, x + 15, y + 73);
  
  // Draw the feet
  fill(0);
  rect(x - 42, y + 50, 8, 20);
  rect(x + 15, y + 73, 20, 8);
  
  // Move one pixel to the right
  x = x + speed;
  
  // If at left or right edge of the output window
  // change directions
  if (x < 1 || x > width)
  {
    speed = -speed;
  }
  
}
