// Your name goes here

// The x- and y- coordinates of the "stick man"
float x = 200;
float y = 0;

// The speed and gravity variables
float speed = 0;
float gravity = 0.1;

// Set output window size, fill color for the ball and drawing to smooth
void setup()
{
  size(400, 400);
  fill(255, 100, 30);
  smooth();
}

void draw()
{
  // Erases the screen
  background(255);

  // Draw the head
  fill(255, 204, 151);
  ellipse(x, y - 40, 40, 40);

  // Draw the body
  line(x, y - 20, x, y + 30);

  // Draw the left arm
  line(x, y, x - 25, y + 5);
  line(x - 25, y + 5, x - 40, y + 30);
  
  // Draw the right arm
  line(x, y, x + 18, y + 8);
  line(x + 18, y + 8, x + 42, y - 25);
  
  // Draw the left leg
  line(x, y + 30, x - 5, y + 60);
  line(x - 5, y + 60, x - 35, y + 50);

  // Draw the right leg
  line(x, y + 30, x + 35, y + 43);
  line(x + 35, y + 43, x + 15, y + 73);
  
  // Draw the feet
  fill(0);
  rect(x - 42, y + 50, 8, 20);
  rect(x + 15, y + 73, 20, 8);

  // Move "stick man" down or up
  y = y + speed;

  // Increase or decrease speed by gravity (0.1)
  speed = speed + gravity;
  
  // If at bottom of window change directions and slow down by 5%
  if (y > height)
  {
    speed = -speed * 0.95;
  }
  
}
