// Your name goes here

// The x- and y-coordinates for the ball
int x = 0;
int y = 200;

// The direction and speed of the ball
int speed = 1;

// Set output window size, fill color for the ball and drawing to smooth
void setup()
{
  size(400, 400);
  fill(255, 100, 30);
  smooth();
}

void draw()
{
  // Erases screen
  background(255);
  noStroke();
  ellipse(x, y, 50, 50);

  // Move ball one pixel to the right
  x = x + speed;
  
  // If mouse is hovering over the ball
  // and mouse button is pressed erase the ball
  if ( mouseX >= (x - 25)
       && mouseX <= (x + 25) 
       && mouseY >= (y - 25)
       && mouseY <= (y + 25)
       && mousePressed )
  {
      fill(255);
  }
   
  // If ball is at left or right edge of the output window change directions
  if (x < 1 || x > width)
   {
     speed = -speed;
   }
}

// Ball reappears
void keyPressed()
{
  fill(255, 100, 30);
}
